# -*- coding: utf-8 -*-
"""
Created on Tue Oct 26 21:50:13 2021

@author: lbeaussart
"""

import csv
def lecture_fichier(nom_fichier):
    """
    Importe un fichier csv existant et le transforme en liste de listes.

    Paramètres :
    ------------
        nom_fichier : Du type chaîne de caractères.
                      C'est le nom du fichier csv (encodé en utf-8),
                      par exemple 'fruits.csv'
    Renvoie :
    ---------
               Une liste de listes.
    """

    with open(nom_fichier, mode='r', encoding='utf-8-sig') as fichier_ouvert:
        return [ligne for ligne in csv.reader(fichier_ouvert, delimiter=",")]


mon_tableau = lecture_fichier('animaux.csv')
print(mon_tableau)